Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libsndfile
Version:	1.0.23
Release:	1
Epoch:		1
BuildArch:	i686
#Provides:	libsndfile.so.1(libsndfile.so.1.0)
License:	GNU/LGPL 
URL:		http://www.mega-nerd.com/libsndfile/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A library for reading and writing sound files.

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: flac-devel
BuildRequires: glibc-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libogg-devel
BuildRequires: libsamplerate-devel
BuildRequires: libvorbis-devel
BuildRequires: pkg-config
BuildRequires: sqlite-devel

%description
Libsndfile is a C library for reading and writing files
containing sampled sound through one standard
library interface. It is released in source code format
under the Gnu Lesser General Public License.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:      libsndfile = 1.0.17-2 

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/sndfile-*
%_libdir/libsndfile.so.*
%_mandir/man1/sndfile-*.1.gz

%files devel
%defattr(-,root,root)
%_includedir/sndfile.*
%_libdir/libsndfile.so
%_libdir/libsndfile.a
%_libdir/libsndfile.la
%_libdir/pkgconfig/sndfile.pc
%_datadir/doc/libsndfile1-dev/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.23-1
- Version update
* Tue Oct 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.22-1
- Version update
* Sun Feb 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.21-2
- obsolete old version of libsndfile 1.0.17-2 (in stable repo)
* Thu Feb 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.21-1
- Version update
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.0.20-2
- rebuild with added epoch for clean upgrade path
* Sat Sep 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.20-1
- Version update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.18-1
- Version update
* Fri Sep 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.17-1
- rebuilt against flac 1.2.1 
* Fri Sep 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.17-1
- Version Update
* Sat Apr 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.15-2
- Added provides (for k3b)
- Added BuildRequires
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.15-1
- Version Update
* Sun Jan 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.13-1
- Version Update
* Sun Oct 02 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.12-1
- Update to Version 0.12
